# Interface StatementTree

All Superinterfaces:
  `Tree`

All Known Subinterfaces:
  `AssertTree, BlockTree, BreakTree, ClassTree, ContinueTree, DoWhileLoopTree, EmptyStatementTree, EnhancedForLoopTree, ExpressionStatementTree, ForLoopTree, IfTree, LabeledStatementTree, ReturnTree, SwitchTree, SynchronizedTree, ThrowTree, TryTree, VariableTree, WhileLoopTree, YieldTree`

public interface StatementTree extends Tree
A tree node used as the base class for the different kinds of statements.

See Java Language Specification:
  14 Blocks, Statements, and Patterns
Since:
  1.6

## Nested Class Summary

### Nested classes/interfaces declared in interface Tree

`Tree.Kind`
Modifier and Type
Interface
Description
`static enum`
`Tree.Kind`
Enumerates all kinds of trees.

## Method Summary

### Methods declared in interface Tree

`accept, getKind`
Modifier and Type
Method
Description
`<R,D> R`
`accept(TreeVisitor<R,D> visitor, D data)`
Accept method used to implement the visitor pattern.
`Tree.Kind`
`getKind()`
Returns the kind of this tree.